FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202012050130.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202012050130.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=71a3e63 OS_GIT_VERSION=4.6.0-202012050130.p0-71a3e63 SOURCE_DATE_EPOCH=1600499635 SOURCE_GIT_COMMIT=71a3e63c75df148e842decf6f7d323cee4842829 SOURCE_GIT_TAG=v0.1.0-312-g71a3e63 SOURCE_GIT_URL=https://github.com/openshift/csi-external-resizer 
WORKDIR /go/src/github.com/kubernetes-csi/external-resizer
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0.20201205.020108
ENV __doozer=update BUILD_RELEASE=202012050130.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202012050130.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=71a3e63 OS_GIT_VERSION=4.6.0-202012050130.p0-71a3e63 SOURCE_DATE_EPOCH=1600499635 SOURCE_GIT_COMMIT=71a3e63c75df148e842decf6f7d323cee4842829 SOURCE_GIT_TAG=v0.1.0-312-g71a3e63 SOURCE_GIT_URL=https://github.com/openshift/csi-external-resizer 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-resizer/bin/csi-resizer /usr/bin/
ENTRYPOINT ["/usr/bin/csi-resizer"]

LABEL \
        name="openshift/ose-csi-external-resizer" \
        com.redhat.component="ose-csi-external-resizer-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202012050130.p0" \
        io.openshift.build.commit.id="71a3e63c75df148e842decf6f7d323cee4842829" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-resizer" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-resizer/commit/71a3e63c75df148e842decf6f7d323cee4842829" \
        version="v4.6.0"

